%define upstream_name Dist-Zilla-Plugin-Prereqs-Plugins
%define upstream_version 1.003003

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 3

Summary:	Add all Dist::Zilla plugins presently in use as prerequisites
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(Capture::Tiny)
BuildRequires:	perl(Dist::Zilla::Role::PrereqSource)
BuildRequires:	perl(Dist::Zilla::Util::BundleInfo)
BuildRequires:	perl(Dist::Zilla::Util::ConfigDumper)
BuildRequires:	perl(Dist::Zilla::Util::ExpandINI::Reader)
BuildRequires:	perl(Dist::Zilla::Util::Test::KENTNL)
BuildRequires:	perl(Eval::Closure)
BuildRequires:	perl(Moose)
BuildRequires:	perl(MooseX::Types::Moose)
BuildRequires:	perl(Package::DeprecationManager)
BuildRequires:	perl(Path::FindDev)
BuildRequires:	perl(Test::Fatal)

BuildArch:	noarch

%description
This is mostly because I am lazy, and the lengthy list of hand-updated
dependencies on my @Author:: bundle started to get overwhelming, and I'd
periodically miss something.

This module is kinda "AutoPrereqs"y, but in ways that I can't imagine
being plausible with a generic "AutoPrereqs" tool, at least, not without
requiring some nasty re-implementation of how "dist.ini" is parsed.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.3.3-3.mga8
+ Revision: 1504136
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.3.3-2.mga7
+ Revision: 1283203
- Mageia 7 Mass Rebuild

* Fri Jul 21 2017 sander85 <sander85> 1.3.3-1.mga7
+ Revision: 1125974
- update to 1.003003

* Sun Jun 19 2016 pterjan <pterjan> 1.3.2-3.mga6
+ Revision: 1026554
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 1.3.2-2.mga6
+ Revision: 966551
- Mageia 6 Mass Rebuild

* Sat Jun 27 2015 sander85 <sander85> 1.3.2-1.mga6
+ Revision: 845896
- update to 1.003002

* Wed Oct 15 2014 umeabot <umeabot> 1.1.0-3.mga5
+ Revision: 744686
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sat Sep 06 2014 sander85 <sander85> 1.1.0-1.mga5
+ Revision: 672811
- update to 1.001000

* Sun Aug 17 2014 sander85 <sander85> 1.0.2-1.mga5
+ Revision: 664634
- update to 1.000002

* Wed Jun 04 2014 sander85 <sander85> 1.0.1-1.mga5
+ Revision: 633115
- update to 1.000001

* Mon Oct 21 2013 umeabot <umeabot> 0.1.3-2.mga4
+ Revision: 537110
- Mageia 4 Mass Rebuild

* Wed Sep 25 2013 sander85 <sander85> 0.1.3-1.mga4
+ Revision: 486340
- update to 0.1.3

* Sun Sep 08 2013 sander85 <sander85> 0.1.2-1.mga4
+ Revision: 475893
- update to 0.1.2

* Fri Aug 09 2013 sander85 <sander85> 0.1.0-1.mga4
+ Revision: 464931
- imported package perl-Dist-Zilla-Plugin-Prereqs-Plugins

